DRM_RECT_TRANSLATE(9)

NAME
drm_rect_translate - translate the rectangle

SYNOPSIS

void drm_rect_translate(struct drm_rect * r, int dx, int dy);

ARGUMENTS

r
    rectangle to be tranlated

dx
    horizontal translation

dy
    vertical translation

DESCRIPTION

Move rectangle r by dx in the horizontal direction, and by dy in the vertical direction.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT